--- a/config/xorg-server.conf.orig	2009-02-05 10:39:20.000000000 -0600
+++ b/config/xorg-server.conf	2009-02-05 10:50:35.000000000 -0600
@@ -4,10 +4,100 @@
 <busconfig>
 	<policy context="default">
 		<allow own="org.x.config.display0"/>
-		<allow send_destination="org.x.config.display0"/>
-		<allow send_interface="org.x.config.display0"/>
+		<allow send_destination="org.x.config.display0"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display0"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display0"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
 		<allow own="org.x.config.display1"/>
-		<allow send_destination="org.x.config.display1"/>
-		<allow send_interface="org.x.config.display1"/>
+		<allow send_destination="org.x.config.display1"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display1"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display1"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display10"/>
+		<allow send_destination="org.x.config.display10"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display10"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display10"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display11"/>
+		<allow send_destination="org.x.config.display11"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display11"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display11"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display12"/>
+		<allow send_destination="org.x.config.display12"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display12"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display12"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display13"/>
+		<allow send_destination="org.x.config.display13"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display13"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display13"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display14"/>
+		<allow send_destination="org.x.config.display14"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display14"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display14"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display15"/>
+		<allow send_destination="org.x.config.display15"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display15"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display15"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display16"/>
+		<allow send_destination="org.x.config.display16"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display16"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display16"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display17"/>
+		<allow send_destination="org.x.config.display17"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display17"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display17"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display18"/>
+		<allow send_destination="org.x.config.display18"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display18"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display18"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
+		<allow own="org.x.config.display19"/>
+		<allow send_destination="org.x.config.display19"
+			   send_interface="org.x.config.dmx"/>
+		<allow send_destination="org.x.config.display19"
+			   send_interface="org.freedesktop.DBus.Introspectable" />
+		<allow send_destination="org.x.config.display19"
+			   send_interface="org.freedesktop.DBus.Properties" />
+
 	</policy>
 </busconfig>
